Camstream: CamStream API documentation

Main Page Class Hierarchy Compound List File List Compound Members File Members

# CCodecFrame Class Reference

A base class for video codecs. More...

`#include <CodecFrame.h>`

Inheritance diagram for CCodecFrame::

List of all members.

## Public Methods

- CCodecFrame (QWidget *parent=0, const char *name=0)
- virtual ~CCodecFrame ()

## Protected Methods

- void drawContents (QPainter *p)
- void mousePressEvent (QMouseEvent *)
- void RegisterPanel (CCamPanel *p)
- void UnregisterPanel (CCamPanel *p, bool Delete=FALSE)
- CCamPanel* GetPanel (const char *name) const

## Protected Slots

- void TogglePanelsDlg (bool)
- void PanelsDlgClosed ()
- void UpdatePanelView ()

## Detailed Description

A base class for video codecs.

## Constructor & Destructor Documentation

CCodecFrame::CCodecFrame ( | QWidget * parent = 0,
| const char * name = 0 )

virtual CCodecFrame::~CCodecFrame ( | )`[virtual]`

## Member Function Documentation

CCamPanel * CCodecFrame::GetPanel ( | const char * name ) const`[protected]`

  | Find a panel in the list of known panels. Parameters:
  name | The name of the panel.
Returns: A CCamPanel object, or NULL if the panel could not be found.

void CCodecFrame::PanelsDlgClosed ( | )`[protected, slot]`

void CCodecFrame::RegisterPanel ( | CCamPanel * p )`[protected]`

  | Add a panel to the list of known panels,. Parameters:
  p | Pointer to CCamPanel class.
This function adds the CCamPanel p to the list of known panels. It also sets the visibility, as registered in CCamStreamApp.

void CCodecFrame::TogglePanelsDlg ( | bool )`[protected, slot]`

void CCodecFrame::UnregisterPanel ( | CCamPanel * p,
| bool Delete = FALSE )`[protected]`

  | Remove panel from list of known panels. Parameters:
  p | The CCamPanel to remove.
  Delete | When TRUE, will also delete the object
This function removes the object from the list of available (and drawable) panels. When asked to it will also destroy the object.

void CCodecFrame::UpdatePanelView ( | )`[protected, slot]`

| Should be called when a Panel is changed, for example its size or visability.

void CCodecFrame::drawContents ( | QPainter * p )`[protected]`

| Draws all visible panels.

void CCodecFrame::mousePressEvent ( | QMouseEvent * )`[protected]`

The documentation for this class was generated from the following files:

- CodecFrame.cc
- CodecFrame.h